package net.sourceforge.jpowergraph.manipulator.edgecreator;

import java.util.ArrayList;

import net.sourceforge.jpowergraph.DefaultEdge;
import net.sourceforge.jpowergraph.DefaultGraph;
import net.sourceforge.jpowergraph.Node;

/**
 * @author Mick Kerrigan
 *
 * Created on 05-Aug-2005
 * Committed by $Author: morcen $
 *
 * $Source: /cvsroot/jpowergraph/swt/src/net/sourceforge/jpowergraph/manipulator/edgecreator/DefaultEdgeCreatorListener.java,v $,
 * @version $Revision: 1.1 $ $Date: 2005/08/09 12:49:26 $
 */

public class DefaultEdgeCreatorListener implements EdgeCreatorListener{

    private DefaultGraph graph;

    public DefaultEdgeCreatorListener(DefaultGraph theGraph) {
        this.graph = theGraph;
    }

    public boolean canCreateEdgeFrom(Node theFrom) {
        return theFrom != null;
    }

    public boolean canCreateEdge(Node theFrom, Node theTo) {
        return theFrom != null && theTo != null;
    }

    public void createEdge(Node theFrom, Node theTo) {
        ArrayList newEdges = new ArrayList();
        newEdges.add(new DefaultEdge(theFrom, theTo));
        graph.addElements(new ArrayList(), newEdges);
    }
}